define(
	[
		'jquery',
		'Magento_Checkout/js/view/payment/default',
		'Magento_Checkout/js/action/place-order'
	],
	function ($, Component, placeOrderAction) {
		'use strict';
		return Component.extend({
			defaults: {
				template: 'Axima_Pays/payment/form',
				transactionResult: ''
			},
			getCode: function () {
				return 'payscz';
			},

			placeOrder: function (data, event) {
				if (event) {
					event.preventDefault();
				}
				var self = this;
				var placeOrder = placeOrderAction(this.getData(), false, this.messageContainer);

				$.when(placeOrder).fail(function () {
					self.isPlaceOrderActionAllowed(true);
				}).done(function (data, textStatus, request) {
					document.location.href = request.getResponseHeader('X-Payment-Link');
				});
			}
		});
	}
);
